<template>
	<view>
		<wd-cell-group>
			<wd-cell title="建议计划类别" :value="info.jyjhlx_dictText" />
			<wd-cell title="项目名称" :value="info.xmmc" />
			<wd-cell title="年度批次" :value="info.nd+'+0'+info.pc" />
			<wd-cell title="计划开工（执行）时间" :value="info.jhkgsj" />
			<wd-cell title="完工时间" :value="info.wgsj" />
			<wd-cell title="结算时间" :value="info.jssj" />
			<wd-cell title="使用单位（部门）" :value="info.sydw_dictText" />
			<wd-cell title="实施原因" :value="info.ssyy" />
			<wd-cell title="主要工作内容及工程量" :value="info.nrgzl" />
			<wd-cell title="费用明细构成" :value="info.mxgc" />
			<wd-cell title="项目负责人" :value="info.xmfzr_dictText" />
			<wd-cell title="主管部门" :value="info.zgbm_dictText" />
			<wd-cell title="切块费用名称" :value="info.qkfymc" />
			<wd-cell title="计划金额（万元）" :value="info.jhje" />
			<wd-cell title="剩余预算（万元）" :value="info.remainder" />
			<wd-cell title="承揽单位类别" :value="info.cldwlb_dictText" />
			<wd-cell title="自营组织方式" :value="info.zyzzfs" />
			<wd-cell title="自营意向单位" :value="info.zyysdw" />
			<wd-cell title="项目经办人" :value="info.contactPerson_dictText" />
			<wd-cell title="备注" :value="info.bz" />
			<wd-cell title="上传请示文件" v-if="info.jyjhlx!='4'">
				<Mupload v-model="info.qsbz" disabled></Mupload>
			</wd-cell>
		</wd-cell-group>
		<wd-toast></wd-toast>
	</view>
</template> 

<script setup>
	import {
		queryByIdBpm
	} from '@/api/plan'
	import { useToast, useMessage, useNotify, dayjs } from 'wot-design-uni'
	import Mupload from '@/components/Mupload/Mupload.vue'
	
	const toast = useToast()
	const info = ref({})
	const image = ref([])
	const props = defineProps({
		formData: {
			type: Object,
			default: () => {},
		}
	})


	// 申请信息
	const queryByIdMount = () => {
		queryByIdBpm(props.formData.dataId).then((res) => {
			if (res.success) {
				console.log(res)
				info.value = res.result.records[0]
			}else{
				toast.error(res.message)
			}
		})
	}

	onMounted(() => {
		queryByIdMount()
	})
</script>